Subject: Re: [bug#39275] [PATCH] gnu: vlc: add fluidsynth as input.

From: Christopher Baines <[email-masked]>
Date: Sun, 26 Jan 2020 10:23:09 +0000

Danny Milosavljevic <[email-masked]> writes:

> Hi,
>
> I'd prefer to change the subject to "gnu: vlc: Add MIDI support.".
>
>> It would be good to put something in the commit message about why this
>> is happening, as it's not obvious to me at least.
>
> I disagree in general because I've seen before what that leads to:
> Half the source code (the comments) end up in the commit messages instead.
> Eventually (because of some merge or something) those get lost, or
> (because of a new commit) those get hidden.
> Now someone is going to overlook it.

I'm not suggesting documenting code in commit messages, just saying
something about the motivation/intention with the change is useful. The
message you suggest meets this criteria perfectly.

> So I'd put documentation into comments, except when it's ephemeral ("news").
>
> Also, in the special case of Guix the reason why we add an input later is
> "we forgot to add it earlier and it was optional to the package and thus the
> package built" most of the time.  So the commit message would always be
> "we forgot earlier".

So I would say that "we forgot earlier" isn't a motivation, or
descriptive of intent (although maybe it meets the "why this is
happening" I mentioned earlier, but that was maybe poorly explained)..

> In this case, vlc got MIDI support with vlc 0.9.0 (long ago) and nobody
> noticed.
>
> We could have the subject say "Add MIDI support" because it communicates more
> clearly what this commit does for users.  And that's the news :)

Yeah, I think that's good. At least in the context I was looking at
this, trying to review the change, knowing what the intent is allows me
to check if that's been satisfied (trying to play some MIDI content with
VLC before and after).

Chris